PSCommentBeforeElement (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.ps.extensions

## Class PSCommentBeforeElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
    - - org.apache.fop.render.ps.extensions.AbstractPSCommentElement
      - - org.apache.fop.render.ps.extensions.PSCommentBeforeElement

- All Implemented Interfaces:
    Cloneable

      public class PSCommentBeforeElement
      extends AbstractPSCommentElement

  Comment before element

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

      `FONode.FONodeIterator, FONode.GatherContextInfoFunction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ELEMENT` the element name

    - ### Fields inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement

      `attachment`

    - ### Fields inherited from class org.apache.fop.fo.FONode

      `FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSCommentBeforeElement(FONode parent)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocalName()` Returns the local name (i.e.
    `protected ExtensionAttachment` | `instantiateExtensionAttachment()` Instantiates extension attachment object

    - ### Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSCommentElement

      `startOfNode`

    - ### Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement

      `characters, endOfNode, getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, validateChildNode`

    - ### Methods inherited from class org.apache.fop.fo.FONode

      `addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, processNode, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT

          protected static final String ELEMENT

      the element name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PSCommentBeforeElement

          public PSCommentBeforeElement(FONode parent)

      Main constructor
      Parameters:
        `parent` - parent node

  - ### Method Detail

    - #### getLocalName

          public String getLocalName()

      Description copied from class: `FONode`
      Returns the local name (i.e. without namespace prefix) of the node
      Specified by:
        `getLocalName` in class `FONode`
      Returns:
        local name
      See Also:
        `FONode.getLocalName()`

    - #### instantiateExtensionAttachment

          protected ExtensionAttachment instantiateExtensionAttachment()

      Description copied from class: `AbstractPSExtensionElement`
      Instantiates extension attachment object
      Specified by:
        `instantiateExtensionAttachment` in class `AbstractPSExtensionElement`
      Returns:
        instance of its extension attachment object

Copyright © 2025 Apache Software Foundation. All rights reserved.